<template>
  <Header />
  <div class="primary min-vh-100 d-flex flex-row align-items-center">
    <CContainer>
      <CRow class="justify-content-center">
        <CCol :md="9" :lg="7" :xl="6">
          <CCard class="mx-4">
            <CCardBody class="p-4">
              <CForm>
                <h1>Création de compte</h1>
                <p class="text-medium-emphasis">Créez votre compte</p>
                <CInputGroup class="mb-3">
                  <CInputGroupText>
                    <CIcon :icon="icon.cilUser" />
                  </CInputGroupText>
                  <CFormInput placeholder="Identifiant" autocomplete="identifiant" />
                </CInputGroup>
                <CInputGroup class="mb-3">
                  <CInputGroupText>@</CInputGroupText>
                  <CFormInput placeholder="Email" autocomplete="email" />
                </CInputGroup>
                <CInputGroup class="mb-3">
                  <CInputGroupText>
                    <CIcon :icon="icon.cilLockLocked" />
                  </CInputGroupText>
                  <CFormInput type="password" placeholder="Mot de passe" autocomplete="nouveau-mdp" />
                </CInputGroup>
                <CInputGroup class="mb-4">
                  <CInputGroupText>
                    <CIcon :icon="icon.cilLockLocked" />
                  </CInputGroupText>
                  <CFormInput type="password" placeholder="Vérifiez votre mot de passe" autocomplete="nouveau-mdp" />
                </CInputGroup>
                <div class="d-grid">
                  <CButton color="primary">Je crée mon compte</CButton>
                </div>
              </CForm>
            </CCardBody>
          </CCard>
        </CCol>
      </CRow>
    </CContainer>
  </div>
</template>

<script>
import { CContainer, CRow, CCol, CCard, CCardBody, CForm, CButton, CInputGroup, CFormInput, CInputGroupText } from '@coreui/vue'
import { CIcon } from '@coreui/icons-vue'
import * as icon from '@coreui/icons';
import Header from '../components/Header.vue';

export default {
  components: {
    CContainer,
    CRow,
    CCol,
    CCard,
    CCardBody,
    CForm,
    CButton,
    CInputGroupText,
    CFormInput,
    CInputGroup,
    CIcon,
    Header
  },
  setup() {
    return {
      icon
    }
}}
</script>

<style></style>